- NAME
- SYNOPSIS
  - OPTIONS
- CLONED DATA

# NAME

rt-importer - Import a serialized RT database on top of the current one

# SYNOPSIS

        rt-importer path/to/export/directory

This script is used to import the contents of a dump created by `rt-serializer`. It will create all of the objects in the dump in the current database; this may include users, queues, and tickets.

It is possible to stop the import process with ^C; it can be later resumed by re-running the importer.

## OPTIONS

--list

  Print a summary of the data contained in the dump.

--originalid cfname

  Places the original ticket organization and ID into a global custom field with the given name. If no global ticket custom field with that name is found in the current database, it will create one.

--ask

  Prompt for action when an error occurs inserting a record into the database. This can often happen when importing data from very old RTs where some attachments (usually spam) contain invalid UTF-8.

  The importer will pause and ask if you want to ignore the error and continue on or abort (potentially to restart later). Ignoring errors will result in missing records in the database, which may cause database integrity problems later. If you ignored any errors, you should run `rt-validator` after import.

--ignore-errors

  Ignore all record creation errors and continue on when importing. This is equivalent to running with `--ask` and manually typing "ignore" at every prompt. You should always run `rt-validator` after importing with errors ignored.

  This option can be dangerous and leave you with a broken RT!

--dump class[,class]

  Prints Data::Dumper representations of the objects of type class in the serialized data. This is mostly useful for debugging.

  Works only in conjunction with `--list`.

# CLONED DATA

Some dumps may have been taken as complete clones of the RT system, which are only suitable for inserting into a schema with no data in it. You can setup the required database state for the receiving RT instance by running:

        /usr/sbin/rt-setup-database --action create,schema,acl --prompt-for-dba-password

The normal `make initdb` step will not work because it also inserts core system data.

← Back to index